Package: org.apache.groovy.parser.antlr4

## [Java] Class GroovyParser.CommandExpressionContext

- org.apache.groovy.parser.antlr4.GroovyParser.CommandExpressionContext

-     public static class GroovyParser.CommandExpressionContext
      extends GroovyParserRuleContext

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `ExpressionContext` | `expression` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `CommandExpressionContext(ParserRuleContext parent, int invokingState)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `<Result>` | `public Result` | `accept(ParseTreeVisitor<? extends Result> visitor)`
    `` | `public List<? extends CommandArgumentContext>` | `commandArgument()`
    `` | `public CommandArgumentContext` | `commandArgument(int i)`
    `` | `public EnhancedArgumentListInParContext` | `enhancedArgumentListInPar()`
    `` | `public ExpressionContext` | `expression()`
    `` | `public int` | `getRuleIndex()`

- - ### Field Detail

    - #### public ExpressionContext expression

  - ### Constructor Detail

    - #### public CommandExpressionContext(ParserRuleContext parent, int invokingState)

  - ### Method Detail

    - #### <Result> @Override
      public Result accept(ParseTreeVisitor<? extends Result> visitor)

    - #### public List<? extends CommandArgumentContext> commandArgument()

    - #### public CommandArgumentContext commandArgument(int i)

    - #### public EnhancedArgumentListInParContext enhancedArgumentListInPar()

    - #### public ExpressionContext expression()

    - #### @Override
      public int getRuleIndex()